=== .pc/changelog.patch/debian/changelog ===
libdigest-sha1-perl (2.11-2) unstable; urgency=low

  * debian/control had a duplicated (but not conflicting) Standards-
    version line - Fixed.

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 20 Dec 2006 22:16:16 -0600

libdigest-sha1-perl (2.11-1) unstable; urgency=low

  * New upstream release
  * New maintainer (in response to Matthias' mail, see
    http://lists.debian.org/debian-devel/2006/05/msg02947.html)
    Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
    via  Zak B. Elep <zakame@spunge.org>
  * debian/control:
    + Bump Standards-Version.
    + Bump debhelper to version 5; set debian/compat accordingly.
  * debian/copyright:
    + Update maintenance notes.

 -- Zak B. Elep <zakame@spunge.org>  Thu, 29 Jun 2006 11:38:37 +0800

libdigest-sha1-perl (2.10-1) unstable; urgency=low

  * New maintainer. Closes:#274127
  * New Upstream version. Closes: #214305,#253063.
    - Implemented sha1_transform, required to implement NIST FIPS 186-2.
    - Sync up with the Digest::MD5 implementation.
    - Various minor fixes.
  * Updated Standards-Version: (no changes).
  * Added debian/watch file.
  * Updated Section: (interpreters => perl).

 -- Matthias Urlichs <smurf@debian.org>  Sat,  2 Oct 2004 15:16:36 +0200

libdigest-sha1-perl (2.01-0.1) unstable; urgency=low

  * NMU (inactive maintainer)
  * New upstream version (closes: Bug#168082)
  * Add pedantic boilerplate to debian/copyright (closes: Bug#157578)

 -- Ivan Kohler <ivan-debian@420.am>  Wed,  6 Nov 2002 10:55:44 -0800

libdigest-sha1-perl (2.00-1.1) unstable; urgency=low

  * NMU for perl 5.8. No changes except build-dep on same.

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Aug 2002 21:43:29 -0400

libdigest-sha1-perl (2.00-1) unstable; urgency=low

  * Split from libdigest-md5-perl-2.13, damnit.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 18 Mar 2001 17:47:56 -0500
