=== debian/changelog ===
libdigest-sha1-perl (2.11-2-maemo0) experimental; urgency=low

  * removed references to PL_unittestav to compile against perl 5.8
  * disabled tests to make the build work in scratchbox armel target

 -- Philipp Zabel <philipp.zabel@gmail.com>  Sat, 12 Jul 2008 18:24:13 +0200
