=== debian/control ===
Source: libdigest-sha1-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Zak B. Elep <zakame@spunge.org>, Carlo Segre <segre@debian.org>, Gunnar Wolf <gwolf@debian.org>
XS-Vcs-Svn: svn://svn.debian.org/pkg-perl/packages/libdigest-sha1-perl/trunk/
Build-Depends: debhelper (>= 5.0.0), perl (>= 5.8)
Standards-Version: 3.7.2

Package: libdigest-sha1-perl
Architecture: any
Priority: optional
Section: perl
Depends: ${perl:Depends}, ${shlibs:Depends}
Conflicts: libdigest-md5-perl (<< 2.13)
Description: NIST SHA-1 message digest algorithm
 The Digest::SHA1 module allows you to use the NIST SHA-1 message
 digest algorithm from within Perl programs.  The algorithm takes as
 input a message of arbitrary length and produces as output a 160-bit
 "fingerprint" or "message digest" of the input.
