=== debian/watch ===
version=2
http://www.cpan.org/modules/by-module/Digest/Digest-SHA1-(.*)\.tar\.gz
