## libdigest-sha1-perl 2.13

=== debian/changelog ===
libdigest-sha1-perl (2.13-2~20250806155252.20+trixie) trusty; urgency=medium

  [ Mario Fetka ]
  * build for debian

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 2.13-2 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Wed, 06 Aug 2025 17:52:52 +0200

libdigest-sha1-perl (2.13-1~gekkio1) trusty; urgency=low

  * Initial Release.

 -- Joonas Javanainen <joonas.javanainen@gmail.com>  Mon, 24 Mar 2014 13:17:54 +0200
