=== debian/watch ===
version=3
https://metacpan.org/release/Digest-SHA1   .*/Digest-SHA1-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
